clan::ComPtr< Type > Class Template Reference - ClanLib SDK
Description: clan::ComPtr< Type > Class Template Reference

Public Member Functions | Public Attributes | List of all members
clan::ComPtr< Type > Class Template Reference

ComPtr. More...

`#include <comptr.h>`

## Public Member Functions
| ComPtr ()
| ComPtr (const ComPtr &copy)
template<typename That >
| ComPtr (const ComPtr< That > &that)
| ComPtr (Type *ptr)
| ~ComPtr ()
void | clear ()
Type * | get () const
bool | is_null () const
| operator bool () const
| operator Type * () const
bool | operator!= (const ComPtr &other) const
Type * | operator-> ()
Type *const | operator-> () const
bool | operator< (const ComPtr &other) const
bool | operator<= (const ComPtr &other) const
ComPtr & | operator= (const ComPtr &copy)
bool | operator== (const ComPtr &other) const
bool | operator> (const ComPtr &other) const
bool | operator>= (const ComPtr &other) const
Type ** | output_variable ()

## Public Attributes
Type * | ptr

## Detailed Description

template<typename Type>
class clan::ComPtr< Type >

ComPtr.

## Constructor & Destructor Documentation

## ◆ ComPtr() [1/4]

template<typename Type >

clan::ComPtr< Type >::ComPtr | ( |  | ) |
| inline

## ◆ ComPtr() [2/4]

template<typename Type >

clan::ComPtr< Type >::ComPtr | ( | Type * | ptr | ) |
| inlineexplicit

## ◆ ComPtr() [3/4]

template<typename Type >

clan::ComPtr< Type >::ComPtr | ( | const ComPtr< Type > & | copy | ) |
| inline

References clan::ComPtr< Type >::ptr.

## ◆ ~ComPtr()

template<typename Type >

clan::ComPtr< Type >::~ComPtr | ( |  | ) |
| inline

References clan::ComPtr< Type >::clear().

## ◆ ComPtr() [4/4]

template<typename Type >
template<typename That >

clan::ComPtr< Type >::ComPtr | ( | const ComPtr< That > & | that | ) |
| inlineexplicit

References clan::ComPtr< Type >::ptr.

## Member Function Documentation

## ◆ clear()

template<typename Type >

void clan::ComPtr< Type >::clear | ( |  | ) |
| inline

References clan::ComPtr< Type >::ptr.

Referenced by clan::ComPtr< Type >::~ComPtr(), and clan::ComPtr< Type >::output_variable().

## ◆ get()

template<typename Type >

Type * clan::ComPtr< Type >::get | ( |  | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ is_null()

template<typename Type >

bool clan::ComPtr< Type >::is_null | ( |  | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator bool()

template<typename Type >

clan::ComPtr< Type >::operator bool | ( |  | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator Type *()

template<typename Type >

clan::ComPtr< Type >::operator Type * | ( |  | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator!=()

template<typename Type >

bool clan::ComPtr< Type >::operator!= | ( | const ComPtr< Type > & | other | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator->() [1/2]

template<typename Type >

Type * clan::ComPtr< Type >::operator-> | ( |  | ) |
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator->() [2/2]

template<typename Type >

Type *const clan::ComPtr< Type >::operator-> | ( |  | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator<()

template<typename Type >

bool clan::ComPtr< Type >::operator< | ( | const ComPtr< Type > & | other | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator<=()

template<typename Type >

bool clan::ComPtr< Type >::operator<= | ( | const ComPtr< Type > & | other | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator=()

template<typename Type >

ComPtr & clan::ComPtr< Type >::operator= | ( | const ComPtr< Type > & | copy | ) |
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator==()

template<typename Type >

bool clan::ComPtr< Type >::operator== | ( | const ComPtr< Type > & | other | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator>()

template<typename Type >

bool clan::ComPtr< Type >::operator> | ( | const ComPtr< Type > & | other | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ operator>=()

template<typename Type >

bool clan::ComPtr< Type >::operator>= | ( | const ComPtr< Type > & | other | ) | const
| inline

References clan::ComPtr< Type >::ptr.

## ◆ output_variable()

template<typename Type >

Type ** clan::ComPtr< Type >::output_variable | ( |  | ) |
| inline

References clan::ComPtr< Type >::clear(), and clan::ComPtr< Type >::ptr.

## Member Data Documentation

## ◆ ptr

template<typename Type >

Type* clan::ComPtr< Type >::ptr

Referenced by clan::ComPtr< Type >::ComPtr(), clan::ComPtr< Type >::ComPtr(), clan::ComPtr< Type >::clear(), clan::ComPtr< Type >::get(), clan::ComPtr< Type >::is_null(), clan::ComPtr< Type >::operator bool(), clan::ComPtr< Type >::operator Type *(), clan::ComPtr< Type >::operator!=(), clan::ComPtr< Type >::operator->(), clan::ComPtr< Type >::operator->(), clan::ComPtr< Type >::operator<(), clan::ComPtr< Type >::operator<=(), clan::ComPtr< Type >::operator=(), clan::ComPtr< Type >::operator==(), clan::ComPtr< Type >::operator>(), clan::ComPtr< Type >::operator>=(), and clan::ComPtr< Type >::output_variable().

The documentation for this class was generated from the following file:

- comptr.h